### Method

# EDataServer SourceOpenPGP set_ask_send_public_key

since: 3.52

#### Declaration [src]

    void
    e_source_openpgp_set_ask_send_public_key (
      ESourceOpenPGP* extension,
      gboolean ask_send_public_key
    )

#### Description [src]

Sets the `ask_send_public_key` on the `extension`, which tells the client to ask before user sends public key in the messages in an Autocrypt header.

Available since: 3.52

Sets property | `EDataServer.SourceOpenPGP:ask-send-public-key`

#### Parameters

`ask_send_public_key`

  Type: `gboolean`

  Value to set.